# eoNormalInit< T > Class Template Reference

The class normal_generator can be used in the STL generate function to easily generate gaussian distributed floats and doubles. More...

`#include <eoUniformInit.h>`

Inheritance diagram for eoNormalInit< T >:

List of all members.

## Public Member Functions

| eoNormalInit (T _stdev=T(1.0), eoRng &_rng=rng)
void | operator() (T &_t)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

T | stdev
eoRng & | normal

## Detailed Description

### template<class T = double>
class eoNormalInit< T >

The class normal_generator can be used in the STL generate function to easily generate gaussian distributed floats and doubles.

The user can supply a standard deviation which defaults to 1.

Definition at line 126 of file eoUniformInit.h.

The documentation for this class was generated from the following file:

- eoUniformInit.h